Subject: Re: Any plans on implementing chroot() in b19?
From: [email-masked] (Gilligan)

14 Sep 1997 13:44:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: GNU Win 32 <[email-masked]>

Paul Prescod wrote:
> 
> David Fox wrote:
> > I would also like to see RPM under Win32, unless there is some
> > superior alternative available under NT.  Of course, for it to be
> > superior it would have to be cross platform and already available and
> > in wide use under Unix, which it isn't.  So there you are.
> 
> Is RPM in wide use under Unix as opposed to just Linux? I have used it
> and found it very convenient, but hardly anybody distributes their
> software that way by default. :( Some Linuxer always has to turn it into
> an RPM. It would be very nice if RPM were more widely used and
> supported. Maybe making it available and compatible under NT would help.
> I'm no expert, but can't you make RPMs that have just the portable
> source and no binaries?
> 
>  Paul Prescod

Yes, you can make RPMs have whatever you want.  Any unix system needs some way
of managing all the software that gets installed (despite what the
real-men-only-use-tar.gz type people say).  I've run Linux for quite a while and
have gotten used to RPM.  It would be extremely handy here for those times you
just want to start over.  Make a list of what you have installed (rpm -qa),
deltree everything, and re-download the rpms and you'll be all set.

Of course, looking toward the future, the "final" product should have some kind
of package manager, might as well start now :).  BTW, I am working on a
chroot-less rpm.  It seems like it will work, you just cannot redirect root from
/.

On another note, anyone else experience quite a few gpfs in win95 (osr2) with
the last couple cygwin.dll's of Seryey?  Could just be my flakey system, but
there's frequent GPFs, lockups, etc.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".